Oore CI

Get job-scoped secrets

Returns resolved instance, project and pipeline secrets (narrowest scope wins) only to the assigned runner while the job is active. Both the runner bearer token and job-scoped signing grant are required.

Operation IDget_job_secrets
GET
/v1/runners/{runner_id}/jobs/{job_id}/secrets

Returns resolved instance, project and pipeline secrets (narrowest scope wins) only to the assigned runner while the job is active. Both the runner bearer token and job-scoped signing grant are required.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

runner_id*string

Runner ID

job_id*string

Build/Job ID

Header Parameters

x-oore-signing-token*string

Job-scoped signing grant

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/runners/string/jobs/string/secrets" \  -H "x-oore-signing-token: string"
{  "secrets": [    {      "name": "string",      "scope": "instance",      "value": "string"    }  ]}